- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Edje Audio

Functions to manipulate audio abilities in edje. More...

## Typedefs
typedef enum _Edje_Channel | Edje_Channel
| Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group. More...

## Enumerations
enum | _Edje_Channel { EDJE_CHANNEL_EFFECT = 0, EDJE_CHANNEL_BACKGROUND = 1, EDJE_CHANNEL_MUSIC = 2, EDJE_CHANNEL_FOREGROUND = 3, EDJE_CHANNEL_INTERFACE = 4, EDJE_CHANNEL_INPUT = 5, EDJE_CHANNEL_ALERT = 6, EDJE_CHANNEL_ALL = 7 }
| Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group. More...

## Functions
void | edje_audio_channel_mute_set (Edje_Channel channel, Eina_Bool mute)
| Set the mute state of audio for the process as a whole. More...
Eina_Bool | edje_audio_channel_mute_get (Edje_Channel channel)
| Get the mute state of the given channel. More...

## Detailed Description

Functions to manipulate audio abilities in edje.

Perspective is a graphical tool that makes objets represented in 2D look like they have a 3D appearance.

Edje allows us to use perspective on any edje object. This group of functions deal with the use of perspective, by creating and configuring a perspective object that must set to a edje object or a canvas, affecting all the objects inside that have no particular perspective set already.

## Typedef Documentation

typedef enum _Edje_Channel Edje_Channel

Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group.

See Also
  edje_audio_channel_mute_set()
  edje_audio_channel_mute_get()

Since
  1.9

## Enumeration Type Documentation

enum _Edje_Channel

Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group.

See Also
  edje_audio_channel_mute_set()
  edje_audio_channel_mute_get()

Since
  1.9

Enumerator
EDJE_CHANNEL_EFFECT | Standard audio effects.
EDJE_CHANNEL_BACKGROUND | Background audio sounds.
EDJE_CHANNEL_MUSIC | Music audio.
EDJE_CHANNEL_FOREGROUND | Foreground audio sounds.
EDJE_CHANNEL_INTERFACE | Sounds related to the interface.
EDJE_CHANNEL_INPUT | Sounds related to regular input.
EDJE_CHANNEL_ALERT | Sounds for major alerts.
EDJE_CHANNEL_ALL | All audio channels (convenience)

## Function Documentation

void edje_audio_channel_mute_set | ( | Edje_Channel | channel,
|  | Eina_Bool | mute
| ) |  |

Set the mute state of audio for the process as a whole.

Parameters

  channel | The channel to set the mute state of
  mute | The mute state

This sets the mute (no output) state of audio for the given channel.

See Also
  edje_audio_channel_mute_get()

Since
  1.9

Eina_Bool edje_audio_channel_mute_get | ( | Edje_Channel | channel | ) |

Get the mute state of the given channel.

Parameters

  channel | The channel to get the mute state of

Returns
  The mute state of the channel

See Also
  edje_audio_channel_mute_set()

Since
  1.9

References EINA_FALSE.